Retrieve all orders
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"orders": [
{
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"payment_success_date": "2023-11-07T05:31:56Z",
"has_refund": true,
"on_subscription": true,
"grand_total": 123,
"loyalty_point_redeemed": 123,
"credit_balance_used": 123,
"to_be_paid": 123,
"order_items_count": 123,
"order_items": [
{
"product_id": "<string>",
"product_name": "<string>",
"product_image_url": "<string>",
"sku": "<string>",
"slug": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"backorder": true,
"on_promotion": true,
"on_subscription": true,
"subscription_plan": "<string>",
"subscription_interval": 123,
"subscription_frequency": "<string>",
"quantity": 1,
"free_quantity": 1,
"is_free_item": true,
"price_including_tax": true,
"selling_price": 1,
"listing_price": 1,
"selling_price_excluding_tax": 1,
"promotion_discount_amount": 1,
"coupon_discount_amount": 1,
"tax_type": "GST",
"tax_rate": 1,
"tax_amount": 1,
"handling_charge_excluding_tax": 1,
"handling_charge_tax_rate": 1,
"handling_charge_including_tax": 1,
"associated_options": {
"background_color": {
"name": "Background Color",
"value": {
"name": "Blue",
"hexcode": "#0000FF"
},
"type": "color"
},
"size": {
"name": "Size",
"value": "Large",
"type": "single-select"
}
},
"attributes": [
{
"id": "<string>",
"name": "<string>",
"key": "<string>",
"type": "color",
"value": [
{
"name": "<string>",
"hexcode": "<string>"
}
]
}
],
"seller_id": "<string>",
"seller_detail": {
"id": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "<string>",
"tax_identification_number": "<string>"
}
}
],
"customer_note": "<string>",
"loyalty_point_earned": 123,
"currency": {
"name": "<string>",
"code": "<string>",
"symbol": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"limit": 123,
"next_page": 123,
"previous_page": 123
}
}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}Orders
Retrieve all orders
Lists all orders for a user. Returns an array of OrderList objects with pagination.
GET
/
orders
Retrieve all orders
Authorizations
Access token
Query Parameters
page number of pagination list
Required range:
x >= 1Number of results per page.
Required range:
1 <= x <= 100JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}
Example:
"{\"country\":\"asc\",\"city\":\"asc\",\"population\":\"desc\"}"
array of string
user id
Was this page helpful?
⌘I